Get albums

Get a list of albums containing a specific song.
The default album is the oldest single, or album (not compilation) we can find for a given track on Spotify/Deezer/Apple.

Need to get the song UUID first? Use the Get song by ISRC or Get song by platform ID or Search song by name endpoints.

Request

GET /api/v2/song/{uuid}/albums

Path parameters

Parameter Value Description Additional
uuid string A song UUID Required

Query string parameters

Parameter Value Description Additional
type string Filter result album list. Available values are :all, album, single, compil Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional
sortBy string Sort criteria. Available values are : title, releaseDate Optional
sortOrder string Sort order. Available values are : asc, desc Optional

Response

Code Description Resource
200 OK

An song album collection response

Album Collection
401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Song not found

Explore

A song UUID

Filter result album list. Available values are :all, album, single, compil

Get results starting from position

Number of results (max. 100)

Sort criteria. Available values are : title, releaseDate

Sort order. Available values are : asc, desc

Try it out